Bug 556560 - ext4 gives ext4_mb_generate_buddy after resume from hibernate
ext4 gives ext4_mb_generate_buddy after resume from hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-18 12:57 EST by Bingo
Modified: 2010-12-03 19:11 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 19:11:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 16019 None None None Never

  None (edit)
Description Bingo 2010-01-18 12:57:16 EST
Description of problem:
I have a Fedora 12 system installed, kernel 2.6.31.9-174.fc12.x86_64. After resume from hibernate, with almost 50% probability, the filesystem (ext4) starts giving strange problems. The filesystem was newly formatted when installing Fedora 12 i.e. it is not a migrated ext3 filesystem. I describe the symptoms below:

1. dmesg shows:
EXT4-fs error (device sdc5): ext4_mb_generate_buddy: EXT4-fs: group 1: 190 blocks in bitmap, 93 in gd

2. Impossible to create new files. I get "file not found" error when running 

touch /tmp/newfile

3. Most applications behave weirdly.

Version-Release number of selected component (if applicable):
kernel 2.6.31.9-174.fc12.x86_64

How reproducible:
About 50% chances.

Steps to Reproduce:
1. Install Fedora 12, x86_64, ext4 root partition (not a migrated ext3)
2. Hibernate and then resume
3. touch /tmp/newfile
  
Actual results:
Creation of the file /tmp/newfile, without any error

Expected results:
file "/tmp/newfile" not found. dmesg shows something like:
EXT4-fs error (device sdc5): ext4_mb_generate_buddy: EXT4-fs: group 1: 190 blocks in bitmap, 93 in gd

Additional info:
Installed using live CD with gnome desktop environment. Hibernate using System -> Shutdown -> Hibernate. System is up to date till Jan 18, but the problem exists right from the day of installation.
Comment 1 Bingo 2010-01-18 13:05:56 EST
I have mixed up the "Actual results:" and "Expected results:" above. Can I edit to correct it?
Comment 2 Bingo 2010-01-18 13:11:16 EST
All mount options are default.
Comment 3 Eric Sandeen 2010-05-05 12:54:35 EDT
Sorry for not seeing this sooner.  Do you still have this problem with the 2.6.32 kernels in F12?

Thanks,
-Eric
Comment 4 Bingo 2010-05-05 13:43:14 EDT
Don't know, because I switched to jfs because of this problem. I will try ext4 again and update this bug.
Comment 5 Eric Sandeen 2010-05-05 13:53:54 EDT
Thanks, I appreciate it!

If it's related to hibernate, it could maybe be some form of memory corruption ... but just guessing here.

-Eric
Comment 6 Bingo 2010-05-06 02:07:28 EDT
If you mean malfunctioning RAM modules, I had tested my RAM using memtest86 for 12 hours during the days when I had this problem. So I guess chances of malfunctioning RAM modules are pretty slim.

If you mean some kernel memory corruption, I don't know about that.
Comment 7 David L. 2010-05-20 07:58:11 EDT
Confirmed in FC13 with kernel 2.6.33.4-95.fc13.x86_64
Comment 8 Eric Sandeen 2010-05-21 13:11:18 EDT
For those hitting the problem:

Just to test a theory, could you try doing "hdparm -W" on your disk(s) to check the write cache status?

If it's 1 (on), then prior to hibernate, can you try hdparm -W 0 on the disk(s) and see if the problem persists?  I'm wondering if it's possible that data in the drive's write cache got lost when the system powered down, if it wasn't properly flushed during hibernate.

You'll want to do hdparm -W 1 later to turn them back on if that was the original state.

Thanks,

-Eric
Comment 9 Eric Sandeen 2010-06-15 23:11:14 EDT
For those hitting it, are you using intel i915 video?

https://bugzilla.kernel.org/show_bug.cgi?id=13811
  Bug 13811 -  [GM965/KMS/UXA] memory corruption on resume from hibernate

-Eric
Comment 10 Mihai Harpau 2010-06-16 03:38:23 EDT
Yes, I see this bug on a Dell Latitude E5400 laptop with GM45/KMS/UXA.
Comment 11 Eric Sandeen 2010-06-16 14:02:44 EDT
It would be interesting to hibernate from text mode / runlevel 3 with the video driver blacklisted/unloaded, and see if the problem goes away, I suppose.
Comment 12 Mihai Harpau 2010-06-18 05:37:34 EDT
If I do the following:
- F13 boot on runlevel 3 with "nomodeset 3" on grub line
- from root prompt run "modprobe -r i915"
- run pm-hibernate

then I don't see anymore the messages from comment 1 and all is fine.
Comment 13 Eric Sandeen 2010-06-18 10:49:02 EDT
Great, thanks for the report.  Here and on the kernel.org bug, this seems to be the case for most, if not all, people.  Looks like this is an i915 bug.
Comment 14 Mihai Harpau 2010-07-09 04:57:34 EDT
Last kernel update for F13 (kernel-2.6.33.6-147.fc13) does not fix this bug even that there was some hope - see this changelog from kernel:
 * Fri Jul 02 2010 Dave Airlie <airlied@redhat.com> 2.6.33.5-140
 - attempt to fix hibernate on Intel GPUs (kernel.org #13811)
Comment 15 Bug Zapper 2010-11-03 20:36:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-12-03 19:11:34 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.